public interface OperationAggregatedListOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
containsItems(String key)
public abstract boolean containsItems(String key)[Output Only] A map of scoped operation lists.
map<string, .google.cloud.compute.v1.OperationsScopedList> items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
key |
String |
| Returns | |
|---|---|
| Type | Description |
boolean |
|
getId()
public abstract String getId()[Output Only] The unique identifier for the resource. This identifier is defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
String |
The id. |
getIdBytes()
public abstract ByteString getIdBytes()[Output Only] The unique identifier for the resource. This identifier is defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for id. |
getItems() (deprecated)
public abstract Map<String,OperationsScopedList> getItems()Use #getItemsMap() instead.
| Returns | |
|---|---|
| Type | Description |
Map<String,OperationsScopedList> |
|
getItemsCount()
public abstract int getItemsCount()[Output Only] A map of scoped operation lists.
map<string, .google.cloud.compute.v1.OperationsScopedList> items = 100526016;
| Returns | |
|---|---|
| Type | Description |
int |
|
getItemsMap()
public abstract Map<String,OperationsScopedList> getItemsMap()[Output Only] A map of scoped operation lists.
map<string, .google.cloud.compute.v1.OperationsScopedList> items = 100526016;
| Returns | |
|---|---|
| Type | Description |
Map<String,OperationsScopedList> |
|
getItemsOrDefault(String key, OperationsScopedList defaultValue)
public abstract OperationsScopedList getItemsOrDefault(String key, OperationsScopedList defaultValue)[Output Only] A map of scoped operation lists.
map<string, .google.cloud.compute.v1.OperationsScopedList> items = 100526016;
| Parameters | |
|---|---|
| Name | Description |
key |
String |
defaultValue |
OperationsScopedList |
| Returns | |
|---|---|
| Type | Description |
OperationsScopedList |
|
getItemsOrThrow(String key)
public abstract OperationsScopedList getItemsOrThrow(String key)[Output Only] A map of scoped operation lists.
map<string, .google.cloud.compute.v1.OperationsScopedList> items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
key |
String |
| Returns | |
|---|---|
| Type | Description |
OperationsScopedList |
|
getKind()
public abstract String getKind() Output only. [Output Only] Type of resource. Always compute#operationAggregatedList
for aggregated lists of operations.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
String |
The kind. |
getKindBytes()
public abstract ByteString getKindBytes() Output only. [Output Only] Type of resource. Always compute#operationAggregatedList
for aggregated lists of operations.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for kind. |
getNextPageToken()
public abstract String getNextPageToken() [Output Only] This token allows you to get the next page of results for
list requests. If the number of results is larger than
maxResults, use the nextPageToken as a value for
the query parameter pageToken in the next list request.
Subsequent list requests will have their own nextPageToken to
continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public abstract ByteString getNextPageTokenBytes() [Output Only] This token allows you to get the next page of results for
list requests. If the number of results is larger than
maxResults, use the nextPageToken as a value for
the query parameter pageToken in the next list request.
Subsequent list requests will have their own nextPageToken to
continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
getSelfLink()
public abstract String getSelfLink()[Output Only] Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
String |
The selfLink. |
getSelfLinkBytes()
public abstract ByteString getSelfLinkBytes()[Output Only] Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for selfLink. |
getUnreachables(int index)
public abstract String getUnreachables(int index)Output only. [Output Only] Unreachable resources.
repeated string unreachables = 243372063;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the element to return. |
| Returns | |
|---|---|
| Type | Description |
String |
The unreachables at the given index. |
getUnreachablesBytes(int index)
public abstract ByteString getUnreachablesBytes(int index)Output only. [Output Only] Unreachable resources.
repeated string unreachables = 243372063;
| Parameter | |
|---|---|
| Name | Description |
index |
intThe index of the value to return. |
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes of the unreachables at the given index. |
getUnreachablesCount()
public abstract int getUnreachablesCount()Output only. [Output Only] Unreachable resources.
repeated string unreachables = 243372063;
| Returns | |
|---|---|
| Type | Description |
int |
The count of unreachables. |
getUnreachablesList()
public abstract List<String> getUnreachablesList()Output only. [Output Only] Unreachable resources.
repeated string unreachables = 243372063;
| Returns | |
|---|---|
| Type | Description |
List<String> |
A list containing the unreachables. |
getWarning()
public abstract Warning getWarning()[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
Warning |
The warning. |
getWarningOrBuilder()
public abstract WarningOrBuilder getWarningOrBuilder()[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
WarningOrBuilder |
|
hasId()
public abstract boolean hasId()[Output Only] The unique identifier for the resource. This identifier is defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the id field is set. |
hasKind()
public abstract boolean hasKind() Output only. [Output Only] Type of resource. Always compute#operationAggregatedList
for aggregated lists of operations.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the kind field is set. |
hasNextPageToken()
public abstract boolean hasNextPageToken() [Output Only] This token allows you to get the next page of results for
list requests. If the number of results is larger than
maxResults, use the nextPageToken as a value for
the query parameter pageToken in the next list request.
Subsequent list requests will have their own nextPageToken to
continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the nextPageToken field is set. |
hasSelfLink()
public abstract boolean hasSelfLink()[Output Only] Server-defined URL for this resource.
optional string self_link = 456214797;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the selfLink field is set. |
hasWarning()
public abstract boolean hasWarning()[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the warning field is set. |